# OAuth2-Proxy with YAML config merging

OAuth2-proxy can only accept a single YAML configuration file, but we need to be able to construct configurations from partial files.  This repository builds a docker image that expects one or more `.yaml` configuration files under `/elg/config` and merges them into a single configuration before launching `oauth2-proxy`.  The source YAML files can be in any subdirectories of `/elg/config` and will be merged in lexicographic order of _file name_ regardless of directory.  This means you can mount yamls from several configmaps and/or secrets into directories under `/elg/config` and they will be merged in the correct order.  Later files take precedence over earlier ones, and in particular if two files declare the same header name under `injectResponseHeaders` then only the later one will take effect.
